Subject: Problems with ./t9902-completion.sh

From: Torsten Bögershausen <[email-masked]>
Date: Sat, 20 Oct 2012 14:02:36 +0200

t9902  does not work on my Mac OS box,
but only in one working directory.

Any idea where the "check-ignore" comea from ?
/Torsten

[snip]
--- expected    2012-10-20 11:54:35.000000000 +0000
+++ out    2012-10-20 11:54:35.000000000 +0000
@@ -1 +1,2 @@
+check-ignore
 checkout

This patch corrects the problem:
(s/check"/checko"/)

diff --git a/t/t9902-completion.sh b/t/t9902-completion.sh
index cbd0fb6..0df751b 100755
--- a/t/t9902-completion.sh
+++ b/t/t9902-completion.sh
@@ -222,19 +222,19 @@ test_expect_success 'general options' '
 '
 
 test_expect_success 'general options plus command' '
-       test_completion "git --version check" "checkout " &&
-       test_completion "git --paginate check" "checkout " &&
-       test_completion "git --git-dir=foo check" "checkout " &&
-       test_completion "git --bare check" "checkout " &&
+       test_completion "git --version checko" "checkout " &&
+       test_completion "git --paginate checko" "checkout " &&
+       test_completion "git --git-dir=foo checko" "checkout " &&
+       test_completion "git --bare checko" "checkout " &&
        test_completion "git --help des" "describe " &&
-       test_completion "git --exec-path=foo check" "checkout " &&
-       test_completion "git --html-path check" "checkout " &&
-       test_completion "git --no-pager check" "checkout " &&
-       test_completion "git --work-tree=foo check" "checkout " &&
-       test_completion "git --namespace=foo check" "checkout " &&
-       test_completion "git --paginate check" "checkout " &&
-       test_completion "git --info-path check" "checkout " &&
-       test_completion "git --no-replace-objects check" "checkout "
+       test_completion "git --exec-path=foo checko" "checkout " &&
+       test_completion "git --html-path checko" "checkout " &&
+       test_completion "git --no-pager checko" "checkout " &&
+       test_completion "git --work-tree=foo checko" "checkout " &&
+       test_completion "git --namespace=foo checko" "checkout " &&
+       test_completion "git --paginate checko" "checkout " &&
+       test_completion "git --info-path checko" "checkout " &&
+       test_completion "git --no-replace-objects checko" "checkout "
 '